/* ==========================================
   HERO
========================================== */

.profile-hero{
    position:relative;
    padding:110px 0;
    background-position:center;
    background-size:cover;
    background-repeat:no-repeat;
}

.profile-hero::before{
    content:"";
    position:absolute;
    inset:0;

    background:
    linear-gradient(
        rgba(0,0,0,.20),
        rgba(0,0,0,.0)
    );

    z-index:1;
}


.profile-hero .hero-overlay{
    position:absolute;
    inset:0;
    background:rgba(0,0,0,.65);
}       

.profile-hero .hero-content{
    position:relative;
    z-index:2;
    color:#fff;
    max-width:750px;
}

.profile-hero h1{
    font-size:58px;
    font-weight:800;
    margin-bottom:25px;
}

.profile-hero p{
    font-size:20px;
    line-height:1.9;
    margin-bottom:35px;
}

/* ==========================================
   HERO ANIMATION
========================================== */

.profile-hero{
    overflow:hidden;
}

.profile-hero::before{
    animation:heroZoom 12s ease-in-out infinite alternate;
}

.hero-content{
    animation:heroContent .9s ease-out;
}

@keyframes heroContent{
    from{
        opacity:0;
        transform:translateY(40px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

@keyframes heroZoom{
    from{
        transform:scale(1);
    }
    to{
        transform:scale(1.06);
    }
}


.card-hover{

    transition:
        transform .35s ease,
        box-shadow .35s ease;

}

.card-hover:hover{

    transform:
        translateY(-10px);

    box-shadow:
        0 25px 50px rgba(0,0,0,.12);

}

/* ==========================================
   BREADCRUMB
========================================== */

.breadcrumb-section{
    background:#fff;
    padding:20px 0;
    border-bottom:1px solid #eee;
}

.breadcrumb a{
    color:var(--primary);
    text-decoration:none;
}

/* ==========================================
   ABOUT
========================================== */

.about-image{
    overflow:hidden;
    border-radius:30px;
}

.about-image img{
    transition:
        transform .7s ease;
    border-radius:24px;
    box-shadow:0 20px 60px rgba(0,0,0,.10);
}

.about-image:hover img{
    transform:scale(1.08);
}

.about-profile{
    padding:50px 0;
}

.about-profile p{
    line-height: 1.7;
}


/* ==========================================
   LEGAL
========================================== */

.legalitas-section{
    padding:50px 0;
}

.legal-card{
    background:#fff;
    border-radius:24px;
    border-top:5px solid #D71920;
    padding:25px 27px;
    text-align:center;
    height:100%;
    transition:.35s ease;
    box-shadow:
    0 10px 30px rgba(0,0,0,.05);
}

.legal-card:hover{
    transform:translateY(-12px);
    box-shadow:
    0 25px 50px rgba(0,0,0,.12);
    border-top-color:#B51218;
}

.legal-card i{
    font-size:60px;
    color:#D71920;
    margin-bottom:20px;
    transition:
    transform .35s ease,
    color .35s ease;
}

.legal-card:hover i{
    transform:scale(1.15);
    color:#B51218;
}

.legal-card h4{
    font-weight:700;
    margin-bottom:5px;
}

.legal-meta{
    margin:5px 0;
}

.legal-meta p{
    display: inline-block;
    background:#F3F4F6;
    padding:6px 14px;
    border-radius:30px;
    font-size:13px;
    font-weight:600;
    margin:3px;
}


/* ==========================================
   STRUKTUR ORGANISASI
========================================== */

.struktur-section{
    padding:70px 0;
}

.org-chart{
    text-align:center;
}

.org-chart-wrapper{
    position:relative;
    max-width:1400px;
    margin:auto;
}

.org-level{
    display:flex;
    justify-content:center;
}

.org-card{
    background:#fff;
    padding:25px;
    border-radius:20px;
    min-width:280px;
    box-shadow:
    0 10px 30px rgba(0,0,0,.08);
}

.top-card{
    border-top:5px solid #D71920;
}

.org-card h5{
    margin-bottom:10px;
    font-weight:700;
}

.org-line{
    width:3px;
    height:40px;
    background:#D71920;
    margin:0 auto;
}

.org-children{
    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(220px,1fr));
    gap:25px;
    margin-top:30px;
}

.org-child-card{
    background:#fff;
    padding:25px;
    border-radius:20px;
    box-shadow:
    0 10px 30px rgba(0,0,0,.08);
    transition:.3s;
}

.org-child-card:hover{
    transform:
    translateY(-10px);
}

.org-child-card img{
    width:90px;
    height:90px;
    object-fit:cover;
    border-radius:50%;
    margin-bottom:15px;
}

.org-child-card h6{
    font-weight:700;
    margin-bottom:10px;
}

/*==================================
ORG MAIN CARD PREMIUM
==================================*/

.org-main-card{
    position:relative;
    overflow:hidden;
    width:270px;
    text-align:center;
    border:5px solid #fff;
    background:#FFFFFF;
    border-radius:24px;
    padding:10px;
    box-shadow:
    0 15px 40px rgba(0,0,0,.08);
    border-top:5px solid #D71920;
    transition:
        transform .35s ease,
        box-shadow .35s ease;
}

.level-1{
    background:
    linear-gradient(
    135deg,
    #D71920,
    #B51218
    );
    color:#fff;
    border-top:none;
}

.level-1 h4{
    color:white;
}

.level-1 p{
    color:rgba(255,255,255,.9);
    margin-bottom:0px;
}

.org-main-card::before{
    content:"";
    position:absolute;
    left:-100%;
    top:0;
    width:100%;
    height:5px;
    background:linear-gradient(
        90deg,
        #D71920,
        #FF5E66
    );
    transition:.6s;
}

.org-main-card:hover::before{
    left:0;
}


.vertical-line{
    width:4px;
    height:50px;
    background:#D71920;
    margin:0 auto;
}

.komite-branch{
    position:absolute;
    left:calc(41% + 120px);
    top:150px;
    display:flex;
    align-items:center;
}

.wakil-section{
    position:relative;
    display:flex;
    justify-content:center;
    align-items:flex-start;
}

.komite-horizontal-line{
    width:180px;
    border-top:3px dashed #D71920;
}


.komite-card{
    width:220px;
    background:#FFF5F5;
    border:2px dashed #D71920;
    border-radius:20px;
    padding:20px;
    text-align:center;
    margin-left:10px;
    box-shadow:
    0 10px 25px rgba(0,0,0,.05);
    position:relative;
    overflow:hidden;
    transition:
        transform .35s ease,
        box-shadow .35s ease;
}

.komite-card:hover{
    transform:translateY(-8px);
    box-shadow:
        0 20px 45px rgba(0,0,0,.12);
}

.manager-start{
    height:130px;
}

.manager-tree{
    margin-top:0px;
}

.manager-horizontal-line{
    width:85%;
    height:4px;
    background:#D71920;
    margin:0 auto;
}

.manager-grid{
    display:grid;
    grid-template-columns:
    repeat(auto-fit,minmax(180px,1fr));
    gap:20px;
}

.manager-connector{
    width:4px;
    height:35px;
    background:#D71920;
    margin:0 auto;
}

.manager-card img{
    transition:
        transform .5s ease;
}

.manager-card:hover img{
    transform:scale(1.08);
}

.manager-card:hover{
    transform:
    translateY(-10px);
    box-shadow:
    0 25px 55px rgba(0,0,0,.12);
}

.manager-card{    
    display:flex;
    flex-direction:column;
    justify-content:center;
    background:#FFFFFF;
    border-top:4px solid #D71920;
    border-radius:20px;
    padding-top:12px;
    row-gap: 80;
    box-shadow:
    0 10px 25px rgba(0,0,0,.06);
    text-align:center;
    border:4px solid #fff;
    height:130px;
    overflow:hidden;
    transition:
        transform .35s ease,
        box-shadow .35s ease;
}

.manager-card h6{
    font-weight:700;

}    

.manager-title{
    display:none;
}

@media (max-width:991px){

    .manager-title{
        display:block;
        text-align:center;
        font-size:22px;
        font-weight:700;
        color:#1E293B;
        margin:20px 0 25px;
    }

}


/* ==========================================
   TRUST
========================================== */

.trust-card i{
    animation:floatingIcon 4s ease-in-out infinite;
}

@keyframes floatingIcon{
    0%,100%{
    transform:translateY(0);
    }

    50%{
    transform:translateY(-8px);
    }
}

.trust-section{
    background:#f8f9fa;
    padding:50px 0;
}

.trust-card{
    background:#fff;
    border-radius:24px;
    padding-top:18px;
    text-align:center;
    height:100%;
    transition:.35s ease;
    box-shadow:
    0 10px 30px rgba(0,0,0,.06);
}

.trust-card:hover{
    transform:translateY(-8px);
    border-bottom:4px solid #D71920;
}

.trust-card i{
    transition:.35s;
    font-size:42px;
    color:var(--primary);
    margin-bottom:20px;
}

.trust-card:hover i{
    transform:scale(1.2);
    color:#D71920;
}

.trust-card h4{
    font-size:20px;
    font-weight:700;
}


/*==================================================
ALUR SERTIFIKASI
==================================================*/

/* ==========================================
   TIMELINE PULSE
========================================== */

.timeline-circle{
    animation:pulseRed 2.8s infinite;
}

@keyframes pulseRed{
    0%{
    box-shadow:0 0 0 0 rgba(215,25,32,.35);
    }

    70%{
    box-shadow:0 0 0 18px rgba(215,25,32,0);
    }

    100%{
    box-shadow:0 0 0 0 rgba(215,25,32,0);
    }
}

.timeline-section{
    padding:80px 0;
    background:linear-gradient(
        180deg,
        #fafafa,
        #f5f7fb
    );
}

.section-subtitle{
    max-width:700px;
    margin:auto;
    color:#6b7280;
    line-height:1.8;
}

.timeline-wrapper{
    position:relative;
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:25px;
    margin-top:70px;
}

.timeline-line{
    position:absolute;
    top:36px;
    left:10%;
    width:80%;
    height:4px;
    background:#D71920;
    z-index:0;
}

.timeline-item{
    position:relative;
    text-align:center;
    z-index:2;
}

.timeline-circle{
    width:74px;
    height:74px;
    margin:auto;
    border-radius:50%;
    background:linear-gradient(
        135deg,
        #D71920,
        #B51218
    );

    color:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:28px;
    box-shadow:
    0 12px 25px rgba(215,25,32,.30);
}

.timeline-card{
    margin-top:30px;
    background:#fff;
    border-radius:24px;
    padding:30px;
    border-top:5px solid #D71920;
    box-shadow:
    0 15px 35px rgba(0,0,0,.08);
    transition:.35s;
    height:100%;
}

.timeline-card:hover{
    transform:translateY(-12px);
    box-shadow:
    0 25px 50px rgba(0,0,0,.15);
}

.timeline-number{
    display:inline-block;
    background:#ffe9ea;
    color:#D71920;
    padding:5px 16px;
    border-radius:40px;
    font-size:16px;
    font-weight:700;
    margin-bottom:18px;
}

.timeline-card h4{
    font-size:22px;
    font-weight:800;
    color:#1E293B;
    margin-bottom:15px;
}

.timeline-card p{
    color:#6B7280;
    line-height:1.6;
    font-size:15px;
}


/* ==========================================
   VISI MISI
========================================== */

.vision-mission-section{
    padding:100px 0;
}

.vision-card{
    position:relative;
    overflow:hidden;
    border-radius:28px;
    padding:45px;
    margin-bottom:40px;
    border-top:5px solid #D71920;
    box-shadow:
        0 15px 40px rgba(0,0,0,.08);
    transition:
        transform .35s ease,
        box-shadow .35s ease;

    background:linear-gradient(
        135deg,
        #D71920,
        #B51218
    );

    color:#fff;
    border-radius:24px;
}

.vision-card:hover{
    transform:translateY(-10px);
    box-shadow:
        0 28px 60px rgba(0,0,0,.15);
    background: white;
    color: black;

}

.vision-card::before{
    content:"";
    position:absolute;
    left:-100%;
    top:0;
    width:100%;
    height:5px;
    background:linear-gradient(
        90deg,
        #D71920,
        #FF5A5F
    );
    transition:.6s;
}

.vision-card:hover::before{
    left:0;
}

.vision-card h3{
    transition:.35s;
    font-weight:800;
    margin-bottom:20px;
    color: white;
}

.vision-card:hover h3{
    color:#B51218;
}

.vision-card p{
    color: white;
    font-size: 27px;
    line-height: 1.2;
}

.vision-card:hover p{
    color:black;
}


/* ==========================================
   MISSION CARD
========================================== */

.mission-card{
    position:relative;
    overflow:hidden;
    background:#fff;
    border-radius:22px;
    padding:30px;
    box-shadow:
        0 12px 30px rgba(0,0,0,.08);
    border-top:4px solid transparent;
    transition:
        transform .35s ease,
        box-shadow .35s ease,
        border-color .35s ease;
    min-height:320px;
    width: 100%; 
    height:100%;
    display:flex;
    flex-direction:column;
}

.mission-card:hover{
    transform:translateY(-10px);
    border-top:4px solid #B51218;
    border-top-color:#D71920;
    box-shadow:
        0 28px 60px rgba(0,0,0,.14);
}

.mission-card p{
    font-size:17px;
    line-height:1.5;
    color:#4B5563;
    transition:color .35s ease;
}

.mission-card:hover p{
    color:#1E293B;
}


.mission-card::before{
    content:"";
    position:absolute;
    top:0;
    left:-100%;
    width:100%;
    height:4px;
    background:linear-gradient(
        90deg,
        #D71920,
        #FF6469
    );
    transition:.6s;
}

.mission-card:hover::before{
    left:0;
}

.mission-grid{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:18px;
    margin-top:40px;
}

.mission-number{
    transition:
        transform .35s ease,
        background .35s ease,
        color .35s ease;
    width:70px;
    height:70px;
    border-radius:50%;
    background:linear-gradient(
        135deg,
        #D71920,
        #B51218
    );
    color:#fff;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:24px;
    font-weight:800;
    margin-bottom:25px;
}

.mission-card:hover .mission-number{
    transform:scale(1.12);
    background:#B51218;
    color:#fff;
    box-shadow:
    0 10px 25px rgba(215,25,32,.35);
}


/* ==========================================
   VALUES
========================================== */

.values-section{
    background:#f8f9fa;
    padding:60px 0;
}


.value-card{
    font-size:22px;
    font-weight:700;    
    position:relative;
    overflow:hidden;
    background:#fff;
    border-radius:22px;
    padding:35px 25px;
    text-align:center;
    border-top:4px solid transparent;
    box-shadow:
        0 12px 30px rgba(0,0,0,.08);
    transition:
        transform .35s ease,
        box-shadow .35s ease,
        border-color .35s ease;
}


.value-card:hover{
    background:#D71920;
    color:#fff;
    transform:translateY(-10px);
    border-top-color:#D71920;
    box-shadow:
        0 25px 55px rgba(0,0,0,.14);
}

.value-card i{
    font-size:46px;
    color:#D71920;
    margin-bottom:20px;
    transition:
        transform .35s ease,
        color .35s ease;
}

.value-card:hover i{
    transform:scale(1.18);
    color:#fff;
    background:#D71920;
    filter:drop-shadow(
    0 8px 18px rgba(215,25,32,.35)
    );
}

.value-card::before{
    content:"";
    position:absolute;
    top:0;
    left:-100%;
    width:100%;
    height:4px;
    background:linear-gradient(
        90deg,
        #D71920,
        #FF6267
    );
    transition:.6s;
}

.value-card:hover::before{
    left:0;
}



/* ==========================================
   CTA
========================================== */


.profile-cta{
    position:relative;
    overflow:hidden;
    background-size:250% 250%;
    animation:gradientMove 10s ease infinite;
    background:linear-gradient(
        135deg,
        #D71920,
        #B51218
    );

    color:#fff;
    padding:70px 0;
}

.profile-cta h2{
    font-size:42px;
    font-weight:800;
    margin-bottom:20px;
}

.profile-cta p{
    font-size:18px;
    margin-bottom:30px;
}

.profile-cta a{
    font-size:18px;
    font-weight:600;
    background: white;
    color:#000;
}

.profile-cta a:hover{
    background: black;
    color:#fff;
}

.profile-cta h2{
    transition:letter-spacing .35s ease;
}

.profile-cta:hover h2{
    letter-spacing:.5px;
}

.profile-cta::before{
    content:"";
    position:absolute;
    inset:0;
    background:
    radial-gradient(
        circle at top right,
        rgba(255,255,255,.12),
        transparent 45%
    );
    pointer-events:none;
}

@keyframes gradientMove{

    0%{
    background-position:0% 50%;
    }

    50%{
    background-position:100% 50%;
    }

    100%{
    background-position:0% 50%;
    }
}

.btn-primary-custom{
    position:relative;
    overflow:hidden;
    display:inline-flex;
    align-items:center;
    justify-content:center;
    transition:
        transform .35s ease,
        box-shadow .35s ease;
    padding:18px 42px;
    border-radius:50px;
    font-weight:700;
    text-decoration:none;
    background:#fff;
    color:#111827;
    box-shadow:
    0 12px 28px rgba(0,0,0,.18);
}

.btn-primary-custom:hover{
    transform:translateY(-4px);
    box-shadow:
        0 20px 40px rgba(0,0,0,.25);
}

.btn-primary-custom::before{
    content:"";
    position:absolute;
    top:0;
    left:-80px;
    width:50%;
    height:100%;
    background:
    linear-gradient(
        120deg,
        transparent,
        rgba(255,255,255,.45),
        transparent
    );

    transform:skewX(-25deg);
    transition:left .7s ease;
}

.btn-primary-custom:hover::before{
    left:calc(100% + 80px);
}



/* ==========================================
   PREMIUM HOVER
========================================== */
.legal-card,
.trust-card,
.timeline-card,
.mission-card,
.value-card,
.manager-card,
.komite-card,
.org-main-card{

    transition:
        transform .35s ease,
        box-shadow .35s ease;
}

.legal-card:hover,
.trust-card:hover,
.timeline-card:hover,
.mission-card:hover,
.value-card:hover,
.manager-card:hover,
.komite-card:hover,
.org-main-card:hover{
    transform:translateY(-10px);
    box-shadow:
        0 28px 60px rgba(0,0,0,.15);
}



/* ==========================================
   ICON HOVER
========================================== */

.legal-card i,
.trust-card i,
.value-icon,
.timeline-circle{
    transition:
        transform .35s ease;
}

.legal-card:hover i,
.trust-card:hover i,
.value-card:hover .value-icon,
.timeline-card:hover .timeline-circle{
    transform:scale(1.15);
}


/* ==========================================
   MOBILE
========================================== */

@media(max-width:768px){

    .profile-hero{
        padding:120px 0;
    }

    .profile-hero h1{
        font-size:38px;
    }

    .profile-hero p{
        font-size:16px;
    }

    .vision-card{
        padding:30px;
    }

    .profile-cta h2{
        font-size:30px;
    }

}

@media(max-width:992px){

    .mission-grid{
        grid-template-columns:repeat(2,1fr);
        align-items: center;
        justify-content:center;
    }

}

@media(max-width:768px){

    .mission-grid{
        grid-template-columns:1fr;
    }

}

@media(max-width:992px){

    .manager-grid{
        grid-template-columns:
        repeat(2,1fr);
    }

    .komite-card{
        position:relative;
        right:auto;
        top:auto;
        margin-top:30px;
    }

    .manager-card{
        max-width:340px;
        margin:auto;
        }

}

@media(max-width:992px){

    .komite-branch{
        position:relative;
        left:auto;
        top:auto;
        margin-top:20px;
        justify-content:center;
    }

    .komite-horizontal-line{
        display:none;
    }

    .manager-grid{
        grid-template-columns:
        repeat(2,1fr);
    }

}

@media(max-width:768px){

    .manager-horizontal-line{
        display:none;
    }

    .manager-connector{
        display:none;
    }
    
    .manager-start{
    height:40px;
    }

}


@media(max-width:768px){

    .wakil-section{
        position:relative;
        display:block;
        text-align:center;
    }



    .komite-branch{
        position:static;
        margin-top:20px;
        justify-content:center;
        left:calc(50% + 120px);
    }

    
    .komite-horizontal-line{
        display:none;
    }

}

@media(max-width:768px){

    .manager-grid{
        grid-template-columns:1fr;
    }

}

@media(max-width:768px){

    .org-main-card{
        width:100%;
        max-width:320px;
        margin:auto;
    }
}


@media(max-width:768px){

    .wakil-center{
        display: flex;
        justify-content:center;
    }

    .komite-branch{
        position:relative;
        left:auto;
        margin-left:0;
        top:auto;
        margin-top:20px;
        justify-content:center;
    }
}


@media(max-width:991px){

    .timeline-wrapper{
        grid-template-columns:1fr;
        gap:40px;
    }

    .timeline-line{
        width:4px;
        height:100%;
        left:50%;
        top:0;
        transform:translateX(-50%);
    }

    .timeline-item{
        max-width:420px;
        margin:auto;
    }

    .timeline-card{
        margin-top:25px;

    }
}

@media(max-width:768px){

    .timeline-section{
        padding:60px 0;
    }

    .timeline-card{
        padding:25px;
    }

    .timeline-card h4{
        font-size:20px;

    }

    .timeline-card p{
        font-size:16px;
    }

    .timeline-circle{
        width:65px;
        height:65px;
        font-size:24px;
    }
}